%define product		CMFBoard
%define version		2.2.1
%define release		2

%define zope_minver	2.7
%define plone_minver	2.0

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	The most popular Plone forum product
Name:		zope-%{product}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Servers
Source:		http://aleron.dl.sourceforge.net/sourceforge/collective/CMFBoard-%{version}.tar.bz2
URL:		http://www.cmfboard.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	plone >= %{plone_minver}
Requires:	python-imaging

Provides:	plone-CMFBoard == %{version}
Obsoletes:	plone-CMFBoard

epoch:	1

%description
Forum folders contain one or more forumnbs (which stands for nothing in
particular, but could stand for "forum notice board" if you like ;-)

Forumnbs have different states, depending on what permissions to view and
post the forums should have:
1. public1 - members can post, anonymous can view
2. public2 - as public1 but anonymous can reply to topic
3. open - like public2 but anonymous can start topics and reply
4. members - only members can view or post

When a forum folder is created, by default two forumnbs are created: public1
and member.  You can modify these, or delete them.

One possible way to organise a discussion forum system on a plone site
is to create a top level forum folder, and then forum folders under that
which will host the actual forumnbs.  Using this approach, no forumnbs are
hosted by the top level forum folder.  This is how the CMFBoard web site is
organised.  But it does not have to be done this way.

A useful feature is to link discussion on plone content types to a particular
forumnb.  Think of this feature being used with a news item, for instance.
That way, any news posted will automatically be discussed in the discussion
forums instead of separate threads throughout the site.  This feature can be
enabled by checking "Use CMFBoard Discussion tool" in CMFBoard Setup in
Plone Setup.  The CMFBoard Discussion tool settings contain settings for which
forumnb discussions should take place in for each plone content type.  A
sensible choice choice here is "Only for published content".  Please note that
discussion must be allowed for the content, which is configured either through
the  ZMI (in portal_types select content type and check "allow_discission") or
through the metadata properties of an plone content instance.


%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
# needed by CMFBoard 2.2
mkdir -p %{buildroot}/var/lib/zope/var/CMFBoard

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*
/var/lib/zope/var/CMFBoard


%changelog
* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.1-2mdk
- fix path on x86_64

* Thu Jun 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.1-1mdk
- 2.2.1

* Mon May 16 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.1.4-2mdk
- re-upload 2.1.4: 2.2 was uploaded by error with zope-CMFPlacefulWorkflow
  and I'm able to migrate 2.1.4 folder to 2.2

* Sun May 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2-1mdk
- New release 2.2

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.1.4-1mdk
- new release 2.1.4
- use mkrel
- rename from plone-CMFBoard to zope-CMFBoard

* Sun Jan 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.1.3-1mdk
- initial contrib
